/*
botón para salir
*/
const btnSalir = document.querySelector('#botonSalir');
btnSalir.addEventListener('click', () => {
    // esta es la llamada todos los clientes
    // se limpia el formulario de busqueda
    CerrarSesion();    
})

async function CerrarSesion() {

    try {
        console.log('cerrando sesion...');

        /* creamos un objeto que contendra cada cliente */
        const cerrar = await FUNC_Cerrar();
        //console.log(cliente_todos);        
        
        window.location.reload()

    } catch (error) {
        console.log(error);
    }    
}

async function FUNC_Cerrar() {
    const url_fetch = './php/cerrarSesion.php';    
    let searchData = new FormData()        
    const resultado = await fetch(url_fetch, {
        method: 'POST',
        body: searchData
    });
    const datos = await resultado.json();
    return datos;
}

/*
boton para cargar clientes
    id: btnClientes
*/
import { CargarClientes } from './js/clientes.js';
import { GuardarCliente } from './js/clientes.js';


/* CREAMOS UN EVENTO CLICK PARA EL BOTON */
const btn1 = document.querySelector('#btnClientes');
btn1.addEventListener('click', () => {
    // esta es la llamada todos los clientes
    // se limpia el formulario de busqueda
    LimpiarFormBusq();
    CargarClientes();
})


/*
boton para cargar clientes mediante busqueda
    id: btnClientesBusq
*/

/* CREAMOS UN EVENTO CLICK PARA EL BOTON */
const btn2 = document.querySelector('#btnClientesBusq');
btn2.addEventListener('click', () => {
    /* LLAMAMOS A LA FUNCION GENERAL en serie */
    const inp1 = document.querySelector('#inputBusqueda').value;
    console.log(inp1);

    CargarClientes(inp1);    
})

function LimpiarFormBusq() {
    const btn1 = document.querySelector('#inputBusqueda');
    btn1.value = '';
}


/*****************************************************/
/* MODIFICAR CLIENTE */

const btnModif = document.querySelector('#modificarCliente');
btnModif.addEventListener('click', () => {    
    const inp1 = document.querySelector('#modificarCliente div').id;
    console.log('modificar '+inp1);

    const modal = document.querySelector('#modal1');
    modal.classList.toggle('mostrarModal');
    //CargarClientes(inp1);    
})

const btnCerrarModal = document.querySelector('#cerrarModal');
btnCerrarModal.addEventListener('click', () => {
    const modal = document.querySelector('#modal1');
    modal.classList.toggle('mostrarModal');
})

/* GUARDAR UN CLIENTE */
const btnGuardarCli = document.querySelector('#guardarCliente');
btnGuardarCli.addEventListener('click', () => {
    const inp1 = document.querySelector('#guardarCliente div').id;
    console.log('guardar cliente id '+inp1);

    const inpNo = document.querySelector('#modal-nombre').value;
    const inpDi = document.querySelector('#modal-direccion').value;

    GuardarCliente(inp1,inpNo,inpDi);    

    const modal = document.querySelector('#modal1');
    modal.classList.toggle('mostrarModal');
})
